<?php
/**
 * The General tab for plugin settings.
 *
 * @package SEO_Pro_Stack
 * @subpackage SEO_Pro_Stack/Admin/Settings/Tabs
 */

// If this file is called directly, abort.
if (!defined('ABSPATH')) {
    exit;
}

/**
 * The General tab for plugin settings.
 */
class SEOProStack_Tab_General {

    /**
     * Render the tab content.
     */
    public function render() {
        ?>
        <div class="seoprostack-settings-content tab-content" id="general">
            <div class="seoprostack-settings-section">
                <h2><?php esc_html_e('Welcome to SEO Pro Stack', 'seoprostack'); ?></h2>
                <p><?php esc_html_e('SEO Pro Stack helps you optimize your WordPress site for better search engine rankings and faster performance.', 'seoprostack'); ?></p>
                
                <div class="seoprostack-welcome-cards">
                    <div class="seoprostack-card">
                        <div class="seoprostack-card-icon dashicons dashicons-performance"></div>
                        <h3><?php esc_html_e('Optimize Performance', 'seoprostack'); ?></h3>
                        <p><?php esc_html_e('Speed up your site with our performance optimization tools.', 'seoprostack'); ?></p>
                    </div>
                    
                    <div class="seoprostack-card">
                        <div class="seoprostack-card-icon dashicons dashicons-admin-plugins"></div>
                        <h3><?php esc_html_e('Recommended Plugins', 'seoprostack'); ?></h3>
                        <p><?php esc_html_e('Discover plugins that enhance your site\'s SEO and performance.', 'seoprostack'); ?></p>
                    </div>
                    
                    <div class="seoprostack-card">
                        <div class="seoprostack-card-icon dashicons dashicons-admin-appearance"></div>
                        <h3><?php esc_html_e('Theme Optimization', 'seoprostack'); ?></h3>
                        <p><?php esc_html_e('Find and activate SEO-friendly themes for your site.', 'seoprostack'); ?></p>
                    </div>
                </div>
                
                <div class="seoprostack-quick-start">
                    <h3><?php esc_html_e('Quick Start Guide', 'seoprostack'); ?></h3>
                    <ol>
                        <li><?php esc_html_e('Configure auto-upload settings in the Workflow tab', 'seoprostack'); ?></li>
                        <li><?php esc_html_e('Explore recommended plugins in the Free Plugins tab', 'seoprostack'); ?></li>
                        <li><?php esc_html_e('Check out premium plugins in the Pro Plugins tab', 'seoprostack'); ?></li>
                        <li><?php esc_html_e('Find an SEO-optimized theme in the Theme tab', 'seoprostack'); ?></li>
                    </ol>
                </div>
            </div>
        </div>
        <?php
    }
}